# GimpUi.prop_check_button_new

    function prop_check_button_new(config: GObject.Object, property_name: String, label: String): Gtk.Widget {
        // Gjs wrapper for gimp_prop_check_button_new()
    }

Creates a Gtk.CheckButton that displays and sets the specified boolean property. If label is null, the property_name's nick will be used as label of the returned button.

Since 2.4

config

  Object to which property is attached.

property_name

  Name of boolean property controlled by checkbutton.

label

  Label to give checkbutton (including mnemonic).

Returns

  The newly created Gtk.CheckButton widget.